org.keycloak.services

## Class ErrorResponseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.ws.rs.WebApplicationException
        - - org.keycloak.services.ErrorResponseException

- All Implemented Interfaces:
    Serializable

      public class ErrorResponseException
      extends javax.ws.rs.WebApplicationException

  Author:
    Stian Thorgersen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorResponseException(javax.ws.rs.core.Response response)`
    `ErrorResponseException(String error, String errorDescription, javax.ws.rs.core.Response.Status status)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getErrorDescription()`
    `javax.ws.rs.core.Response` | `getResponse()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ErrorResponseException

          public ErrorResponseException(String error,
                                        String errorDescription,
                                        javax.ws.rs.core.Response.Status status)

    - #### ErrorResponseException

          public ErrorResponseException(javax.ws.rs.core.Response response)

  - ### Method Detail

    - #### getErrorDescription

          public String getErrorDescription()

    - #### getResponse

          public javax.ws.rs.core.Response getResponse()

      Overrides:
        `getResponse` in class `javax.ws.rs.WebApplicationException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.